#!/bin/bash
daTe=`date +%Y%m%d%H%M%S`
hostIp=`ip a | grep 10.175.29 | sort | tail -1 | awk {'print $2'} | cut -d'/' -f1`
kubeadm alpha kubeconfig user --client-name system:kube-controller-manager --apiserver-advertise-address $hostIp > /etc/kubernetes/controller-manager.conf
kubeadm alpha kubeconfig user --client-name system:kube-scheduler --apiserver-advertise-address $hostIp > /etc/kubernetes/scheduler.conf
kubeadm alpha kubeconfig user --client-name system:node:$(hostname) --org system:nodes --apiserver-advertise-address $hostIp > /etc/kubernetes/kubelet.conf
kubeadm init phase kubeconfig all --apiserver-advertise-address $hostIp
/usr/bin/cp -arp /etc/kubernetes/admin.conf $HOME/.kube/config
chown $(id -u):$(id -g) $HOME/.kube/config
cp -arp /var/lib/kubelet/pki /var/lib/kubelet/pki-$daTe
rm -rf /var/lib/kubelet/pki/kubelet*
